import 'package:flutter/material.dart';
import 'package:task28/unit/config.dart';


class BottomNavigatorScreen extends StatefulWidget {
  final ValueChanged<int> press;
  BottomNavigatorScreen({Key? key,required this.press}) : super(key: key);

  @override
  _BottomNavigatorScreenState createState() => _BottomNavigatorScreenState();
}

class _BottomNavigatorScreenState extends State<BottomNavigatorScreen> {
 late int checkclick = 1;
  @override
  Widget build(BuildContext context) {
    return Container(
      color: Color(0xfff4f5fc),
      width: MediaQuery.of(context).size.width,
      height: 75,
      child: Row(
        mainAxisAlignment: MainAxisAlignment.spaceBetween,
        children: [
           InkWell(

               onTap: (){
                 setState(() {
                   checkclick = 1;
                   widget.press(1);
                 });
               },

             child: Container(
               height: 55,
               padding: const EdgeInsets.symmetric(horizontal: 10),
               /*decoration: checkclick == 1? BoxDecoration(
                 color: Colors.white,
                 boxShadow: [
                   BoxShadow(
                     offset: Offset(1, 1),
                     color: Colors.grey.shade500,
                     spreadRadius: 1,
                     blurRadius: 5.0,
                   ),
                   BoxShadow(
                     offset: Offset(-1, -1),
                     color: Colors.white,
                     spreadRadius: 1,
                     blurRadius: 1.0,
                   ),
                 ],
                 borderRadius: BorderRadius.all(Radius.circular(5.0)),
               ) : BoxDecoration(),*/
               child: Column(
                 mainAxisAlignment: MainAxisAlignment.center,
                 children: [
                   Image.asset("assets/images/homebottom.png",width: 30,height: 30,color: checkclick == 1 ? Colors.blue: Colors.grey,),
                   SizedBox(height: 5,),
                   Text(Config.supportProtfolio,style: TextStyle(color: checkclick == 1? Colors.blue: Color(0xff797b7e),fontWeight:  checkclick == 1? FontWeight.bold: FontWeight.normal,fontSize: 10),)

               ],),
             ),
           ),
          InkWell(
            onTap: (){
              setState(() {
                checkclick = 2;
                widget.press(2);
              });
            },
            child: Container(
              height: 55,
              padding: const EdgeInsets.symmetric(horizontal: 10),
              /*decoration: checkclick == 2? BoxDecoration(
                color: Colors.white,
                boxShadow: [
                  BoxShadow(
                    offset: Offset(1, 1),
                    color: Colors.grey.shade500,
                    spreadRadius: 1,
                    blurRadius: 5.0,
                  ),
                  BoxShadow(
                    offset: Offset(-1, -1),
                    color: Colors.white,
                    spreadRadius: 1,
                    blurRadius: 1.0,
                  ),
                ],
                borderRadius: BorderRadius.all(Radius.circular(5.0)),
              ) : BoxDecoration(),*/
              child: Column(
                mainAxisAlignment: MainAxisAlignment.center,
                children: [
                  Image.asset("assets/images/onebottom.png",width: 30,height: 30,color: checkclick == 2 ?Colors.blue:Colors.grey,),
                  SizedBox(height: 5,),
                  Text(Config.supportWallet,style: TextStyle(color: checkclick == 2? Colors.blue: Color(0xff797b7e),fontWeight:  checkclick == 2? FontWeight.bold: FontWeight.normal,fontSize: 10),)

                ],),
            ),
          ),


          InkWell(
            onTap: (){
              setState(() {
                checkclick = 3;
                widget.press(3);
              });
            },
            child: Container(
              height: 55,
              padding: const EdgeInsets.symmetric(horizontal: 10),
              /*decoration: checkclick == 3? BoxDecoration(
                color: Colors.white,
                boxShadow: [
                  BoxShadow(
                    offset: Offset(1, 1),
                    color: Colors.grey.shade500,
                    spreadRadius: 1,
                    blurRadius: 5.0,
                  ),
                  BoxShadow(
                    offset: Offset(-1, -1),
                    color: Colors.white,
                    spreadRadius: 1,
                    blurRadius: 1.0,
                  ),
                ],
                borderRadius: BorderRadius.all(Radius.circular(5.0)),
              ) : BoxDecoration(),*/
              child: Column(
                mainAxisAlignment: MainAxisAlignment.center,
                children: [
                  Image.asset("assets/images/signal.png",width: 30,height: 30,color: checkclick == 3 ?Colors.blue:Colors.grey,),
                  SizedBox(height: 5,),
                  Text(Config.supportWallet,style: TextStyle(color: checkclick == 3?Colors.blue: Color(0xff797b7e),fontWeight:  checkclick == 3? FontWeight.bold: FontWeight.normal,fontSize: 10),)

                ],),
            ),
          ),


          InkWell(

            onTap: (){
              setState(() {
                checkclick = 4;
                widget.press(4);
              });
            },
            child: Container(
              height: 55,
              padding: const EdgeInsets.symmetric(horizontal: 10),
              /*decoration: checkclick == 4? BoxDecoration(
                color: Colors.white,
                boxShadow: [
                  BoxShadow(
                    offset: Offset(1, 1),
                    color: Colors.grey.shade500,
                    spreadRadius: 1,
                    blurRadius: 5.0,
                  ),
                  BoxShadow(
                    offset: Offset(-1, -1),
                    color: Colors.white,
                    spreadRadius: 1,
                    blurRadius: 1.0,
                  ),
                ],
                borderRadius: BorderRadius.all(Radius.circular(5.0)),
              ) : BoxDecoration(),*/
              child: Column(
                mainAxisAlignment: MainAxisAlignment.center,

                children: [
                  Image.asset("assets/images/settig.png",width: 30,height: 30,color: checkclick == 4 ?Colors.blue:Colors.grey,),
                  SizedBox(height: 5,),
                  Text(Config.supportPrices,style: TextStyle(color: checkclick == 4? Colors.blue: Color(0xff797b7e),fontWeight:  checkclick == 4? FontWeight.bold: FontWeight.normal,fontSize: 10),)

                ],),
            ),
          ),
          InkWell(

            onTap: (){
              setState(() {
                checkclick = 5;
                widget.press(5);
              });
            },
            child: Container(
              height: 55,
              padding: const EdgeInsets.symmetric(horizontal: 10),
              /*decoration: checkclick == 5? BoxDecoration(
                color: Colors.white,
                boxShadow: [
                  BoxShadow(
                    offset: Offset(1, 1),
                    color: Colors.grey.shade500,
                    spreadRadius: 1,
                    blurRadius: 5.0,
                  ),
                  BoxShadow(
                    offset: Offset(-1, -1),
                    color: Colors.white,
                    spreadRadius: 1,
                    blurRadius: 1.0,
                  ),
                ],
                borderRadius: BorderRadius.all(Radius.circular(5.0)),
              ) : BoxDecoration(),*/
              child: Column(
                mainAxisAlignment: MainAxisAlignment.center,
                children: [
                  Image.asset("assets/images/man.png",width: 30,height: 30,color: checkclick == 5 ?Colors.blue:Colors.grey,),
                  SizedBox(height: 5,),
                  Text(Config.supportNews,style: TextStyle(color: checkclick == 5?Colors.blue: Color(0xff797b7e),fontWeight:  checkclick == 5? FontWeight.bold: FontWeight.normal, fontSize: checkclick == 5? 12:10),)

                ],),
            ),
          ),

      ],),
    );
  }
}
