import 'package:flutter/cupertino.dart';
import 'package:flutter/material.dart';
import 'package:google_fonts/google_fonts.dart';
import 'package:task28/unit/config.dart';

class AppBarScreen extends StatelessWidget {
  const AppBarScreen({Key? key}) : super(key: key);



  @override
  Widget build(BuildContext context) {
    return Container(
      color: Colors.blue,
      height: 60,
      padding: const EdgeInsets.symmetric(horizontal: 20),
      child: Row(
        mainAxisAlignment: MainAxisAlignment.spaceBetween,
        children: [
          Container(
            padding: const EdgeInsets.all(5.0),
            height: 30,
            width: 30,
            child: Center(child: Image.asset("assets/images/menu.png",color: Colors.white),),
          ),
          Container(
            padding: const EdgeInsets.all(5.0),
            child: Center(child: Text(Config.supportHome,style: GoogleFonts.roboto(color: Colors.white,fontWeight: FontWeight.bold,fontSize: 20),),),
          ),
          Container(
            padding: const EdgeInsets.all(5.0),
            height: 35,
            width: 35,
            child: Center(child: Image.asset("assets/images/search.png",color: Colors.white,),),
          )


      ],),
    );
  }
}
