import 'package:flutter/material.dart';
import 'package:task28/screen/splash.dart';
import 'package:task28/unit/color.dart';

void main() {
  runApp(const MyApp());
}

class MyApp extends StatelessWidget {
  const MyApp({Key? key}) : super(key: key);

  // This widget is the root of your application.
  @override
  Widget build(BuildContext context) {
    return MaterialApp(
      title: 'Flutter Demo',
      debugShowCheckedModeBanner: false,
      theme: ThemeData(
        backgroundColor: Colors.white,
        primarySwatch: Colors.blue,


          tabBarTheme: const TabBarTheme(
            labelColor: Colors.white,
            labelStyle: TextStyle(color: Colors.white,),
            indicator:  UnderlineTabIndicator( // color for indicator (underline)

                borderSide: BorderSide(color: AppColor.bgsplash),),
          )
      ),
      home: const SplashScreen(),
    );
  }
}
